summaryrefslogtreecommitdiff
path: root/t/backslash-issues.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2013-01-02 14:29:46 +0100
committerStefano Lattarini <stefano.lattarini@gmail.com>2013-01-02 14:29:46 +0100
commitfe05207b40350b189727351c22871ae5075b186f (patch)
tree3cc0a736c3b7c6e9a7f48f9dba59b39682571f93 /t/backslash-issues.sh
parent20b7e1b8362e36a46147487828b232453997f5a9 (diff)
downloadautomake-fe05207b40350b189727351c22871ae5075b186f.tar.gz
tests: reorganize tests on backslash issues
* t/backsl.sh, t/backsl2.sh, t/backsl3.sh: Merge ... * t/backslash-issues.sh: ... into this test. * t/backsl4.sh: Rename ... * t/backslash-before-trailing-whitespace.sh: ... like this. * t/list-of-tests.mk: Adjust. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/backslash-issues.sh')
-rw-r--r--t/backslash-issues.sh47
1 files changed, 47 insertions, 0 deletions
diff --git a/t/backslash-issues.sh b/t/backslash-issues.sh
new file mode 100644
index 000000000..9dae7155a
--- /dev/null
+++ b/t/backslash-issues.sh
@@ -0,0 +1,47 @@
+#! /bin/sh
+# Copyright (C) 1996-2013 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Test for "\" problems.
+# TODO: might be nice to convert this to TAP...
+
+. test-init.sh
+
+echo AC_PROG_CC >> configure.ac
+$ACLOCAL
+
+# Bug report from Joerg-Martin Schwarz.
+cat > Makefile.am << 'END'
+bin_PROGRAMS = \
+ frob
+END
+$AUTOMAKE
+grep '^_SOURCE' Makefile.in && exit 1
+
+# We must skip the backslash, not complain about './\' not existing.
+# Reported by Rick Scott <rwscott@omnisig.com>
+cat > Makefile.am << 'END'
+SUBDIRS = \
+ .
+END
+$AUTOMAKE
+
+# Make sure we diagnose trailing backslash at the end of a file.
+# Report from Akim Demaile <akim@epita.fr>.
+echo 'foo = \' > Makefile.am
+AUTOMAKE_fails
+grep 'trailing backslash' stderr
+
+: